﻿@model IEnumerable<eCommerce.Services.Model.OcaShipmentOrigin>

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th>Nombre</th>
            <th>Provincia</th>
            <th>Ciudad</th>
            <th>Dirección</th>
            <th>Email</th>
            <th>Nombre de contacto</th>
            <th class="text-center">Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td>@Html.DisplayFor(modelItem => item.Name)</td>
            <td>@Html.DisplayFor(modelItem => item.Province.Name)</td>
            <td>@Html.DisplayFor(modelItem => item.City)</td>
            <td>@(item.Street + " " + item.StreetNumber + (item.Floor != null ? item.Floor : string.Empty) + (item.Department != null ? item.Department : string.Empty))</td>
            <td>@Html.DisplayFor(modelItem => item.Email)</td>
            <td>@Html.DisplayFor(modelItem => item.ContactName)</td>
            <td class="actions text-center">
                <a href="/OcaShipmentOrigin/OriginUpdate/@item.OcaShipmentOriginId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>
                <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                   data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@item.OcaShipmentOriginId" onclick="fDeleteDialog(@item.OcaShipmentOriginId)"><i class="icon wb-trash" aria-hidden="true"></i></a>
            </td>
        </tr>
    }
    </tbody>
</table>
